Subject: bug#21023: [bug-diffutils] bug#21023: --no-dereference

From: Jim Meyering <[email-masked]>
Date: Mon, 31 Aug 2015 13:42:40 -0700

reopen 21023
tags 21023 -notabug
thanks

On Mon, Aug 31, 2015 at 1:04 PM, Rodrigo Valiña Gutiérrez
<[email-masked]> wrote:
> On 8/31/15, Jim Meyering <[email-masked]> wrote:
>> tags 21023 notabug
>> thanks
>>
>> On Mon, Aug 31, 2015 at 9:59 AM, Rodrigo Valiña Gutiérrez
>> <[email-masked]> wrote:
>>> --no-dereference appears in 'diff --help' and 'info diffutils', but
>>> not in 'man diff'.
>>
>> Thanks for the report, but that is unlikely to be a problem with this
>> upstream diffutils package, since the man page (diff.1) is
>> automatically generated from the output of diff --help, and the build
>> machinery to do that has been in place for over a decade. I would
>> suspect whatever installed your diff man pages or the configuration of
>> your "man(1)" program -- maybe it is searching in the wrong place.
>
> Thanks for the reply.
> I downloaded diffutils-3.3.tar.xz and in diffutils-3.3/man/diff.1 does
> not appear the --no-dereference option. I don't know whether it is
> re-generated at compile or install time... but at the moment that file
> does not have the said option.

Oh, I see that you are right! So this *is* a bug. Reopening and untagging.
It looks like I managed to include a stale diff.1 (not including the
then-new --no-dereference description) in the distribution tarball.
That makes me think there is or was a missing dependency.  I'll
investigate and report back here.